/**
 * Build: Laravel Mix
 *
 * @see https://laravel.com/docs/5.8/mix
 * @author MC
 */

const THEME_NAME = 'astratic-child';
const BUILD_NAME = `${THEME_NAME}`;

const mix = require('laravel-mix');
const path = require('path');

Mix.manifest.refresh = _ => void 0
const rootPath = path.join(__dirname);
const themeResources = path.join(__dirname, 'resources');
const templatesPath = path.join(__dirname, 'templates');
const partsPath = path.join(__dirname, 'parts');
const stylesPath = path.join(__dirname, 'styles');

mix.copyDirectory(`${rootPath}/app`, `build/${BUILD_NAME}/app`);
mix.copyDirectory(`${rootPath}/dist`, `build/${BUILD_NAME}/dist`);
mix.copyDirectory(`${templatesPath}`, `build/${BUILD_NAME}/templates`);
mix.copyDirectory(`${partsPath}`, `build/${BUILD_NAME}/parts`);
mix.copyDirectory(`${stylesPath}`, `build/${BUILD_NAME}/styles`);
mix.copyDirectory(`${themeResources}/assets/svg`, `build/${BUILD_NAME}/resources/assets/svg`);
mix.copy(`${rootPath}/index.php`, `build/${BUILD_NAME}/`);
mix.copy(`${rootPath}/functions.php`, `build/${BUILD_NAME}/`);
mix.copy(`${rootPath}/screenshot.png`, `build/${BUILD_NAME}/`);
mix.copy(`${rootPath}/style.css`, `build/${BUILD_NAME}/`);
mix.copy(`${rootPath}/theme.json`, `build/${BUILD_NAME}/`);
